
# TxAccount::__construct 

### Usage

>  TxAccount::__construct([ int $id = '0' ], [ bool $is_active = true ], [ bool $is_deleted = false ], [ bool $is_crypto = false ], [ string $uuid = '' ], [ string $currency = 'USD' ], [ string | float $balance = '0' ], [ string | float $frozen = '0' ], [ string | float $pending = '0' ], [ ?DateTime $created_at = null ], [ ?DateTime $updated_at = null ], [ string $label = '' ])

### Description

> Constructor

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
id | No | int |
is_active | No | bool |
is_deleted | No | bool |
is_crypto | No | bool |
uuid | No | string |
currency | No | string |
balance | No | string | float |
frozen | No | string | float |
pending | No | string | float |
created_at | No | ?DateTime |
updated_at | No | ?DateTime |
label | No | string |

### Return
>  
### See Also

* [__get()](__get)
* [__set()](__set)
* [all()](all)
* [count()](count)
* [delete()](delete)
* [deleteMany()](deletemany)
* [getBalance()](getbalance)
* [getChildren()](getchildren)
* [getCurrency()](getcurrency)
* [insert()](insert)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toDisplayArray()](todisplayarray)
* [toFormattedArray()](toformattedarray)
* [update()](update)
* [where()](where)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


